区块链技术博客
www.b2bchain.cn

Alamofire-5.0.0 以上报错求职学习资料

本文介绍了Alamofire-5.0.0 以上报错求职学习资料,有助于帮助完成毕业设计以及求职,是一篇很好的资料。

对技术面试,学习经验等有一些体会,在此分享。

摘要

Alamofire 更新到新版本时,遇到了两个错误❌和一个警告⚠️,所以记录下来它们,以及如何解决它们。给其他出现类似问题的同道一些解决的方向。

今天新开启一个项目,因为网络请求选择 Alamofire 第三方库处理,所以就在项目中通过 Pod 引入 Alamofire,把上个项目关于 Alamofire 的封装代码给放到这个项目中,问题就这样来了。

首先遇到的报错提示就是 Module ‘Alamofire’ has no member named ‘request’

这就非常郁闷了,代码在之前的项目里面是没有这个错误的,但是竟然在新的项目中报错。就对比一下两个项目中的 Alamofire 的版本,发现新项目中的版本是 5.4.3,比之前的项目的 Alamofire 高。

到了这一步,最直接的解决方法就是在新项目中的 Alamofire 版本设置为之前低于 5.0.0 版本,重新 Pod 一下。问题就解决了。

但是既然新版本 Alamofire 不支持这样的使用方式,那就用新的方式来调用,也算是学习一下。

当在新版本 Alamofire 代码中搜索 request ,看到这个方法在 Session 的类中,同时在看 Alamofire.swift 文件的时候,除了表明版本号,还定义了一个 Session 的常量:

public let AF = Session.default

所以,就用 AF 来替换就解决了。

// 旧的代码 Alamofire.request(...)  // 新的代码 AF.request(...)

之后就有一个关于设置 headers 的警告⚠️,虽然不是报错,但是如果不处理,headers 的设置都是无效的。

Alamofire-5.0.0 以上报错

alamofire-image1

因为我之前设置的 headers 对象是用 NSMutableDictionary 的:

let headers = NSMutableDictionary(     dictionary: ["Accept":"application/json",                  "Content-Type":"application/json"] )

看警告里面是需要有 HTTPHeaders 类型的数据,所以就追进去看一下 HTTPHeaders 的结构,发现这里面还有一个 HTTPHeader 类型:

摘要

Alamofire 更新到新版本时,遇到了两个错误❌和一个警告⚠️,所以记录下来它们,以及如何解决它们。给其他出现类似问题的同道一些解决的方向。

今天新开启一个项目,因为网络请求选择 Alamofire 第三方库处理,所以就在项目中通过 Pod 引入 Alamofire,把上个项目关于 Alamofire 的封装代码给放到这个项目中,问题就这样来了。

首先遇到的报错提示就是 Module ‘Alamofire’ has no member named ‘request’

这就非常郁闷了,代码在之前的项目里面是没有这个错误的,但是竟然在新的项目中报错。就对比一下两个项目中的 Alamofire 的版本,发现新项目中的版本是 5.4.3,比之前的项目的 Alamofire 高。

到了这一步,最直接的解决方法就是在新项目中的 Alamofire 版本设置为之前低于 5.0.0 版本,重新 Pod 一下。问题就解决了。

但是既然新版本 Alamofire 不支持这样的使用方式,那就用新的方式来调用,也算是学习一下。

当在新版本 Alamofire 代码中搜索 request ,看到这个方法在 Session 的类中,同时在看 Alamofire.swift 文件的时候,除了表明版本号,还定义了一个 Session 的常量:

public let AF = Session.default

所以,就用 AF 来替换就解决了。

// 旧的代码 Alamofire.request(...)  // 新的代码 AF.request(...)

之后就有一个关于设置 headers 的警告⚠️,虽然不是报错,但是如果不处理,headers 的设置都是无效的。

Alamofire-5.0.0 以上报错

alamofire-image1

因为我之前设置的 headers 对象是用 NSMutableDictionary 的:

let headers = NSMutableDictionary(     dictionary: ["Accept":"application/json",                  "Content-Type":"application/json"] )

看警告里面是需要有 HTTPHeaders 类型的数据,所以就追进去看一下 HTTPHeaders 的结构,发现这里面还有一个 HTTPHeader 类型:

摘要

Alamofire 更新到新版本时,遇到了两个错误❌和一个警告⚠️,所以记录下来它们,以及如何解决它们。给其他出现类似问题的同道一些解决的方向。

今天新开启一个项目,因为网络请求选择 Alamofire 第三方库处理,所以就在项目中通过 Pod 引入 Alamofire,把上个项目关于 Alamofire 的封装代码给放到这个项目中,问题就这样来了。

首先遇到的报错提示就是 Module ‘Alamofire’ has no member named ‘request’

这就非常郁闷了,代码在之前的项目里面是没有这个错误的,但是竟然在新的项目中报错。就对比一下两个项目中的 Alamofire 的版本,发现新项目中的版本是 5.4.3,比之前的项目的 Alamofire 高。

到了这一步,最直接的解决方法就是在新项目中的 Alamofire 版本设置为之前低于 5.0.0 版本,重新 Pod 一下。问题就解决了。

但是既然新版本 Alamofire 不支持这样的使用方式,那就用新的方式来调用,也算是学习一下。

当在新版本 Alamofire 代码中搜索 request ,看到这个方法在 Session 的类中,同时在看 Alamofire.swift 文件的时候,除了表明版本号,还定义了一个 Session 的常量:

public let AF = Session.default

所以,就用 AF 来替换就解决了。

// 旧的代码 Alamofire.request(...)  // 新的代码 AF.request(...)

之后就有一个关于设置 headers 的警告⚠️,虽然不是报错,但是如果不处理,headers 的设置都是无效的。

Alamofire-5.0.0 以上报错

alamofire-image1

因为我之前设置的 headers 对象是用 NSMutableDictionary 的:

let headers = NSMutableDictionary(     dictionary: ["Accept":"application/json",                  "Content-Type":"application/json"] )

看警告里面是需要有 HTTPHeaders 类型的数据,所以就追进去看一下 HTTPHeaders 的结构,发现这里面还有一个 HTTPHeader 类型:

部分转自互联网,侵权删除联系

赞(0) 打赏
部分文章转自网络,侵权联系删除b2bchain区块链学习技术社区 » Alamofire-5.0.0 以上报错求职学习资料
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

b2b链

联系我们联系我们